Loading...
Searching...
No Matches
rtp_header Struct Reference

RTP Header (http://tools.ietf.org/html/rfc3550#section-5.1). More...

`#include <rtp.h>`

## Data Fields

uint16_t | version:2
uint16_t | padding:1
uint16_t | extension:1
uint16_t | csrccount:4
uint16_t | markerbit:1
uint16_t | type:7
uint16_t | seq_number
uint32_t | timestamp
uint32_t | ssrc
uint32_t | csrc [16]

## Detailed Description

RTP Header (http://tools.ietf.org/html/rfc3550#section-5.1).

## Field Documentation

## csrc

uint32_t rtp_header::csrc[16]

## csrccount

uint16_t rtp_header::csrccount

## extension

uint16_t rtp_header::extension

## markerbit

uint16_t rtp_header::markerbit

## padding

uint16_t rtp_header::padding

## seq_number

uint16_t rtp_header::seq_number

## ssrc

uint32_t rtp_header::ssrc

## timestamp

uint32_t rtp_header::timestamp

## type

uint16_t rtp_header::type

## version

uint16_t rtp_header::version

The documentation for this struct was generated from the following file:

- rtp.h